ExpressionEvaluatorProcessor (Mule ESB 2.2.1 API)
Keywords: org.mule.registry.ExpressionEvaluatorProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class ExpressionEvaluatorProcessor

    java.lang.Object
      org.mule.registry.ExpressionEvaluatorProcessor

All Implemented Interfaces:
  Disposable, ObjectProcessor

    public class ExpressionEvaluatorProcessor

extends Object
implements ObjectProcessor, Disposable

Registers ExpressionEvaluators with the `DefaultExpressionManager` so that they will be resolved at run-time. `ExpressionEvaluator` objects are used to execute property expressions (usually on the current message) at run-time to extract a dynamic value.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ExpressionEvaluatorProcessor(MuleContext context)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`Object` | `process(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionEvaluatorProcessor

    public ExpressionEvaluatorProcessor(MuleContext context)

Method Detail

### process

    public Object process(Object object)

  Specified by:
    `process` in interface `ObjectProcessor`

### dispose

    public void dispose()

  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.